<?php

namespace Modules\Mall\Traits;

use Illuminate\Database\Eloquent\Relations\HasOne;
use Modules\Mall\Models\Shop;

trait HasShop
{

    /**
     * Notes   : 用户的店铺
     * @Date   : 2021/5/6 3:26 下午
     * @Author : < Jason.C >
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function shop(): HasOne
    {
        return $this->hasOne(Shop::class);
    }

}